Domains

Get domains

GET
/v3/aftermarket/customers/{customerId}/domains

Gets paginated result of domain and stats in your portfolio. Optional query parameters can be used to filter the results.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"

Query Parameters

includes?array<>

The options for retrieving additional domain data.

Note: Search data is available to Discount Domain Club Domain Pro members.

offset?integer

The number of entries to skip before starting to collect the result set

Formatint64
Range0 <= value
limit?integer

The maximum number of entries to return

Formatint64
Range0 <= value
Default10
order?string

The options for ordering the domains in the result.

Value in"BUYNOW_PRICE_ASC""BUYNOW_PRICE_DESC""CREATED_AT_ASC""CREATED_AT_DESC""NAME_ASC""NAME_DESC""DISPLAY_NAME_ASC""DISPLAY_NAME_DESC""LEADS_ASC""LEADS_DESC""INTAKE_VIEWS_ASC""INTAKE_VIEWS_DESC""FAST_TRANSFER_STATUS_ASC""FAST_TRANSFER_STATUS_DESC""FEATURED_ASC""FEATURED_DESC""FLOOR_PRICE_ASC""FLOOR_PRICE_DESC""INTAKE_STYLE_ASC""INTAKE_STYLE_DESC""LANDING_PAGE_ASC""LANDING_PAGE_DESC""LIST_STATUS_ASC""LIST_STATUS_DESC""MINBID_PRICE_ASC""MINBID_PRICE_DESC""REGISTRAR_ASC""REGISTRAR_DESC""LISTED_AT_ASC""LISTED_AT_DESC"
listStatus?array<>

Filter domains by whether the domains match any of the specified status. Supports multiple statuses separated by commas.

buynowMin?integer

Filter domains with a minimum buynowPrice

Formatint64
Range0 <= value <= 49999999000000
buynowMax?integer

Filter domains with a maximum buynowPrice

Formatint64
Range0 <= value <= 49999999000000
floorMin?integer

Filter domains with a minimum Floor price

Formatint64
Range0 <= value <= 49999999000000
floorMax?integer

Filter domains with a maximum Floor price

Formatint64
Range0 <= value <= 49999999000000
minbidMin?integer

Filter domains with a minimum Minbid price

Formatint64
Range0 <= value <= 49999999000000
minbidMax?integer

Filter domains with a maximum Minbid price

Formatint64
Range0 <= value <= 49999999000000
leasing?boolean

Filter domains by whether the domains are leased or not

hidden?boolean

Filter domains by whether the domains have been hidden by the user

listedAtStartDate?string

Denotes start of date range for filtering of domains by when the domain was listed at.

Formatdate-time
listedAtEndDate?string

Denotes end of date range for filtering of domains by when the domain was listed at.

Formatdate-time

Header Parameters

X-Request-Id?string

A unique identifier for the request

Response Body

A paginated result of your domains with the specified filters.

application/json
  1. response
domains*array<>
pagination*
Example Request
curl -X GET 'https://api.afternic.com/v3/aftermarket/customers/my/domains?listedAtStartDate=2024-01-01T18%3A39%3A53Z&listedAtEndDate=2025-01-01T18%3A39%3A53Z'
Example Response
{  "domains": [    {      "registrar": "GODADDY",      "fastTransferStatus": "AWAITING_OPT_IN",      "intakeLeads": 10,      "offerCount": 10,      "intakeViews": 10,      "listedAt": "2006-01-02T15:04:05Z",      "transactionLink": "string",      "searches": {        "total": {          "30d": 8,          "90d": 18,          "365d": 67        },        "unique": {          "30d": 8,          "90d": 18,          "365d": 67        }      },      "name": "example.com",      "featured": true,      "hidden": false,      "buynowPrice": 500000000,      "floorPrice": 500000000,      "minbidPrice": 500000000,      "maxLeasePeriod": 36,      "leasingEnabled": false,      "displayName": "exämple.de",      "intakeStyle": "PRICE_FORM",      "showLanderMakeOfferOption": false,      "showLanderLeaseToOwnOption": false,      "showLanderBuynowOption": false,      "landingPage": "SALES_TYPE",      "updatedAt": "2006-01-02T15:04:05Z",      "createdAt": "2006-01-02T15:04:05Z",      "listStatus": "ACTIVE",      "tld": "co.uk"    }  ],  "pagination": {    "first": "http://example.com",    "last": "http://example.com",    "next": "http://example.com",    "previous": "http://example.com",    "total": 0  }}